---
title: ShadowRoot.host
slug: Web/API/ShadowRoot/host
tags:
  - API
  - Host
  - Property
  - Reference
  - ShadowRoot
  - shadow dom
---
<p>{{APIRef("Shadow DOM")}}</p>

<p><span class="seoSummary">The <strong><code>host</code></strong> read-only property of the {{domxref("ShadowRoot")}} returns a reference to the DOM element the <code>ShadowRoot</code> is attached to.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const someElement = <var>shadowRoot</var>.host</pre>

<h3 id="Value">Value</h3>

<p>A  DOM {{domxref('Element')}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let customElem = document.querySelector('my-shadow-dom-element');
let shadow = customElem.shadowRoot;

  ...

// return the original host element some time later
let hostElem = shadow.host;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-shadowroot-host','ShadowRoot.host')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ShadowRoot.host")}}</p>
